Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Query Parameters
1 <= value <= 20050length <= 2048Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/events"{ "data": [ { "id": "string", "client_event_id": "string", "name": "string", "customer_id": "string", "occurred_at": "string", "received_at": "string", "properties": { "property1": null, "property2": null }, "mode": "async", "late": true, "status": "accepted", "execution_id": "string" } ], "next_cursor": "string", "has_more": true}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/events" \ -H "Content-Type: application/json" \ -d '{ "name": "content.purchased", "customer_id": "cust_123", "mode": "sync", "properties": { "content_id": "book_42", "price_cents": 1499 } }'{ "status": "accepted", "id": "string", "customer_id": "string", "late": true, "fallback": true, "execution_id": "string", "effects": [ null ], "trace": null, "error": { "code": "string", "message": "string", "param": "string" }}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/events/string"{ "id": "string", "client_event_id": "string", "name": "string", "customer_id": "string", "occurred_at": "string", "received_at": "string", "properties": { "property1": null, "property2": null }, "mode": "async", "late": true, "status": "accepted", "execution_id": "string"}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/events/string/execution"{ "id": "string", "event_id": "string", "customer_id": "string", "version_set": "string", "matched_rules": 0, "plan": [ null ], "trace": null, "created_at": "string"}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/event_definitions"{ "data": [ { "id": "string", "name": "string", "observed_schema": { "property1": null, "property2": null }, "confirmed_schema": { "property1": null, "property2": null }, "description": "string", "samples": [ null ], "event_count": 0, "client_allowed": true, "first_seen_at": "string", "last_seen_at": "string", "version": 0, "updated_at": "string" } ], "next_cursor": "string", "has_more": true}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/event_definitions/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "name": "string", "observed_schema": { "property1": null, "property2": null }, "confirmed_schema": { "property1": null, "property2": null }, "description": "string", "samples": [ null ], "event_count": 0, "client_allowed": true, "first_seen_at": "string", "last_seen_at": "string", "version": 0, "updated_at": "string"}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/events/string/retry"{ "execution_id": "string", "status": "evaluated", "plan": [ null ], "trace": null, "effects": [ null ]}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Query Parameters
Value in
- "true"
- "false"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/poison_events"{ "data": [ { "event_id": "string", "event_name": "string", "customer_id": "string", "attempts": 0, "last_error": "string", "last_error_at": "string", "resolved_at": "string", "resolution": "retried" } ], "next_cursor": "string", "has_more": true}Authorization
bearer Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).
In: header
Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/poison_events/string/discard"